Bug 1487665 - oc start-build hangs sometimes
Summary: oc start-build hangs sometimes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.0
Assignee: Fabiano Franz
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 14:28 UTC by Vikas Laad
Modified: 2017-11-28 22:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 22:09:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
build logs (3.48 KB, text/x-vhdl)
2017-09-01 14:38 UTC, Vikas Laad
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3188 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Vikas Laad 2017-09-01 14:28:14 UTC
Description of problem:
I am running reliability tests where it creates/builds/scales apps for long time. Sometimes oc start-build is hanging and never comes back. I killed the command with "-ABRT" here is the output.

E, [2017-09-01 14:01:45#31891] ERROR -- :  Execute: oc start-build rails-postgresql-example --follow --config=/root/svt/reliability/lib/../runtime/keys/u-116-38.kubeconfig   -> fail
E, [2017-09-01 14:01:45#31891] ERROR -- :  status: pid 76135 exit 2
E, [2017-09-01 14:01:45#31891] ERROR -- :  stdout: build "rails-postgresql-example-2" started[#]Cloning "https://github.com/openshift/rails-ex.git" ...[#]     Commit: 1fbcd447fd082f8482847ba08795751feeb$
bd3c (Merge pull request #95 from jim-minter/wait-completion-fixups)[#]    Author: Ben Parees <bparees@users.noreply.github.com>[#]       Date:   Fri Aug 18 13:48:59 2017 -0400[#]
E, [2017-09-01 14:01:45#31891] ERROR -- :  stderr: SIGABRT: abort[#]PC=0x45ef69 m=0 sigcode=0[#][#]goroutine 0 [idle]:[#]runtime.epollwait(0x7fd100000005, 0x7ffed2a080c0, 0xffffffff00000080, 0x0, 0xffff$fff00000001, 0x0, 0x0, 0x0, 0x0, 0x0, ...)[#]      /usr/lib/golang/src/runtime/sys_linux_amd64.s:563 +0x19[#]runtime.netpoll(0xc42001f301, 0xc42001f301)[#]       /usr/lib/golang/src/runtime/netpoll_epol$.go:67 +0x91[#]runtime.findrunnable(0xc42001f300, 0x0)[#]     /usr/lib/golang/src/runtime/proc.go:2084 +0x31f[#]runtime.schedule()[#]        /usr/lib/golang/src/runtime/proc.go:2222 +0x14c[#]runtime.goe$it0(0xc420461520)[#]     /usr/lib/golang/src/runtime/proc.go:2359 +0x238[#]runtime.mcall(0x7ffed2a08820)[#]    /usr/lib/golang/src/runtime/asm_amd64.s:269 +0x5b[#][#]goroutine 1 [semacquire, 805 minutes$:[#]sync.runtime_notifyListWait(0xc4200d5300, 0xc400000001)[#]      /usr/lib/golang/src/runtime/sema.go:298 +0x10b[#]sync.(*Cond).Wait(0xc4200d52f0)[#]    /usr/lib/golang/src/sync/cond.go:57 +0x89[#]git$ub.com/openshift/origin/vendor/golang.org/x/net/http2.(*pipe).Read(0xc4200d52e8, 0xc420b5a000, 0x8000, 0x8000, 0x0, 0x0, 0x0)[#]      /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/g$/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/pipe.go:60 +0xdb[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.transportResponseBody.Read(0xc4200d52c0, 0xc420b5a000, 0x8000, 0x8000, 0x0, 0x0, 0x0)[#]    /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/transport.go:1589 +0xae[#]io.copyBuffer(0$6eeb240, 0xc42000e018, 0x7fd1446c6a80, 0xc4200d52c0, 0xc420b5a000, 0x8000, 0x8000, 0x410db80, 0xc420f3da00, 0x7fd1446c6a80)[#]/usr/lib/golang/src/io/io.go:390 +0x100[#]io.Copy(0x6eeb240, 0xc42000e018, 0$7fd1446c6a80, 0xc4200d52c0, 0xc4200d52c0, 0x0, 0x0)[#]     /usr/lib/golang/src/io/io.go:360 +0x68[#]github.com/openshift/origin/pkg/oc/cli/cmd.(*StartBuildOptions).Run(0xc420cfa380, 0x0, 0x0)[#]        $builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/pkg/oc/cli/cmd/startbuild.go:402 +0x75b[#]github.com/openshift/origin/pkg/oc/cli/cmd.NewCmdStartBuild$func1(0xc4203ff680, 0xc42097db30, 0x1, 0x3)[#]   /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/pkg/oc/cli/cmd/startbuild.go:98 +0xf2[#]github.com/$penshift/origin/vendor/github.com/spf13/cobra.(*Command).execute(0xc4203ff680, 0xc42097daa0, 0x3, 0x3, 0xc4203ff680, 0xc42097daa0)[#]     /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/loc$l/go/src/github.com/openshift/origin/vendor/github.com/spf13/cobra/command.go:603 +0x22b[#]github.com/openshift/origin/vendor/github.com/spf13/cobra.(*Command).ExecuteC(0xc4203426c0, 0xc42000e020, 0xc42$3426c0, 0x2)[#]    /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/github.com/spf13/cobra/command.go:689 +0x339[#]github.com/openshift/origin$vendor/github.com/spf13/cobra.(*Command).Execute(0xc4203426c0, 0x2, 0xc4203426c0)[#] /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/github.c$m/spf13/cobra/command.go:648 +0x2b[#]main.main()[#]     /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/cmd/oc/oc.go:36 +0x1ae[#][#]goroutine 17 [sy$call, 805 minutes, locked to thread]:[#]runtime.goexit()[#]        /usr/lib/golang/src/runtime/asm_amd64.s:2197 +0x1[#][#]goroutine 5 [chan receive]:[#]github.com/openshift/origin/vendor/github.com/gola$g/glog.(*loggingT).flushDaemon(0x71e5360)[#]   /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/github.com/golang/glog/glog.go:879 +0x7a[#]cre$ted by github.com/openshift/origin/vendor/github.com/golang/glog.init.1[#]       /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/github.com/g$lang/glog/glog.go:410 +0x21d[#][#]goroutine 21 [syscall, 805 minutes]:[#]os/signal.signal_recv(0x435d38)[#] /usr/lib/golang/src/runtime/sigqueue.go:116 +0x104[#]os/signal.loop()[#]       /usr/lib/golang$src/os/signal/signal_unix.go:22 +0x22[#]created by os/signal.init.1[#] /usr/lib/golang/src/os/signal/signal_unix.go:28 +0x41[#][#]goroutine 59 [select]:[#]github.com/openshift/origin/vendor/k8s.io/apima$hinery/pkg/util/wait.JitterUntil(0x4899760, 0x12a05f200, 0x0, 0x73f001, 0xc420060120)[#]  /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/k8s$io/apimachinery/pkg/util/wait/wait.go:109 +0x18d[#]github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait.Until(0x4899760, 0x12a05f200, 0xc420060120)[#]     /builddir/build/BUILD/atomic-op$nshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:52 +0x4d[#]created by github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/util$logs.InitLogs[#]    /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/util/logs/logs.go:50 +0x9f[#][#]goroutine 68 [IO wa$t, 805 minutes]:[#]net.runtime_pollWait(0x7fd1446b4b28, 0x72, 0x3)[#]  /usr/lib/golang/src/runtime/netpoll.go:164 +0x59[#]net.(*pollDesc).wait(0xc4200f4688, 0x72, 0x6ef2440, 0x6ecd7d8)[#]  /usr/lib/gola$g/src/net/fd_poll_runtime.go:75 +0x38[#]net.(*pollDesc).waitRead(0xc4200f4688, 0xc420c05000, 0x800)[#]   /usr/lib/golang/src/net/fd_poll_runtime.go:80 +0x34[#]net.(*netFD).Read(0xc4200f4620, 0xc420c0500$, 0x800, 0x800, 0x0, 0x6ef2440, 0x6ecd7d8)[#]        /usr/lib/golang/src/net/fd_unix.go:250 +0x1b7[#]net.(*conn).Read(0xc42000e130, 0xc420c05000, 0x800, 0x800, 0x0, 0x0, 0x0)[#]   /usr/lib/golang/src/net
/net.go:181 +0x70[#]crypto/tls.(*block).readFromUntil(0xc4207be4e0, 0x7fd1446c68e8, 0xc42000e130, 0x5, 0xc42000e130, 0x0)[#]   /usr/lib/golang/src/crypto/tls/conn.go:488 +0x98[#]crypto/tls.(*Conn).readRe
cord(0xc4203ae000, 0x48a5717, 0xc4203ae120, 0x0)[#]        /usr/lib/golang/src/crypto/tls/conn.go:590 +0xc4[#]crypto/tls.(*Conn).Read(0xc4203ae000, 0xc420ab9000, 0x1000, 0x1000, 0x0, 0x0, 0x0)[#]      /u
sr/lib/golang/src/crypto/tls/conn.go:1134 +0x11d[#]bufio.(*Reader).Read(0xc420cb85a0, 0xc420c481d8, 0x9, 0x9, 0xc420e31c50, 0x0, 0x0)[#]     /usr/lib/golang/src/bufio/bufio.go:213 +0x312[#]io.ReadAtLeast
(0x6ecf8c0, 0xc420cb85a0, 0xc420c481d8, 0x9, 0x9, 0x9, 0x0, 0x0, 0x0)[#] /usr/lib/golang/src/io/io.go:307 +0xa9[#]io.ReadFull(0x6ecf8c0, 0xc420cb85a0, 0xc420c481d8, 0x9, 0x9, 0xc42015c640, 0x2003bd10, 0x
c42003bd48)[#]      /usr/lib/golang/src/io/io.go:325 +0x58[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.readFrameHeader(0xc420c481d8, 0x9, 0x9, 0x6ecf8c0, 0xc420cb85a0, 0x0, 0xc400000000, 
0xc420a4c000, 0x26)[#] /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/frame.go:237 +0x7b[#]github.com/openshift/origin
/vendor/golang.org/x/net/http2.(*Framer).ReadFrame(0xc420c481a0, 0xc420e31c50, 0x0, 0x0, 0x0)[#]  /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/ven
dor/golang.org/x/net/http2/frame.go:469 +0xa4[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.(*clientConnReadLoop).run(0xc42003bfb0, 0x489bc18, 0xc42002b7b0)[#]       /builddir/build/BUILD/a
tomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/transport.go:1343 +0x88[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.(*ClientCo
nn).readLoop(0xc420316000)[#]      /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/transport.go:1269 +0xa6[#]created by
 github.com/openshift/origin/vendor/golang.org/x/net/http2.(*Transport).newClientConn[#]      /builddir/build/BUILD/atomic-openshift-git-0.b5a2a69/_output/local/go/src/github.com/openshift/origin/vendor/
golang.org/x/net/http2/transport.go:534 +0x728[#][#]rax    0xfffffffffffffffc[#]rbx    0xffffffff[#]rcx    0xffffffffffffffff[#]rdx    0x80[#]rdi    0x5[#]rsi    0x7ffed2a080c0[#]rbp    0x7ffed2a086c0[#]
rsp    0x7ffed2a08080[#]r8     0x7ffed2a08640[#]r9     0x0[#]r10    0xffffffff[#]r11    0x246[#]r12    0xc4207af680[#]r13    0x0[#]r14    0xc4207af620[#]r15    0x0[#]rip    0x45ef69[#]rflags 0x246[#]cs  
   0x33[#]fs     0x0[#]gs     0x0[#]

Version-Release number of selected component (if applicable):
oc v3.7.0-0.117.0
kubernetes v1.7.0+695f48a16f
features: Basic-Auth GSSAPI Kerberos SPNEGO

How reproducible:
Happened 2 times in 300 builds

Steps to Reproduce:
1. Create cluster with Openshift 3.7
2. deploy some apps and start building them repeatedly

Actual results:
oc hangs but build finishes.

Expected results:
oc should not hang.

Additional info:
Will attach build and master logs.

Comment 1 Vikas Laad 2017-09-01 14:38:00 UTC
Created attachment 1320986 [details]
build logs

Comment 3 Vikas Laad 2017-09-25 20:16:22 UTC
another stack trace

E, [2017-09-25 20:14:07#18211] ERROR -- :  stdout: build "nodejs-mongodb-example-2" started[#]Cloning "https://github.com/openshift/nodejs-ex.git" ...[#]       Commit: b9ba509aff1eca886edcf7a2cfc57ec559eff703 (Merge pull request #138 from jim-minter/helmchart)[#] Author: Ben Parees <bparees@users.noreply.github.com>[#]        Date:   Thu Sep 14 21:54:13 2017 -0400[#]
E, [2017-09-25 20:14:07#18211] ERROR -- :  stderr: SIGABRT: abort[#]PC=0x45d433 m=0 sigcode=0[#][#]goroutine 18 [syscall]:[#]runtime.notetsleepg(0x7124198, 0x12a05d56b, 0x1)[#]        /home/jvallejo/Desktop/go1.8/src/runtime/lock_futex.go:205 +0x42 fp=0xc420024760 sp=0xc420024730[#]runtime.timerproc()[#]       /home/jvallejo/Desktop/go1.8/src/runtime/time.go:209 +0x327 fp=0xc4200247e0 sp=0xc420024760[#]runtime.goexit()[#]       /home/jvallejo/Desktop/go1.8/src/runtime/asm_amd64.s:2197 +0x1 fp=0xc4200247e8 sp=0xc4200247e0[#]created by runtime.addtimerLocked[#]   /home/jvallejo/Desktop/go1.8/src/runtime/time.go:116 +0xed[#][#]goroutine 1 [semacquire, 1635 minutes]:[#]sync.runtime_notifyListWait(0xc420cc9940, 0xc400000000)[#]    /home/jvallejo/Desktop/go1.8/src/runtime/sema.go:298 +0x10b[#]sync.(*Cond).Wait(0xc420cc9930)[#]        /home/jvallejo/Desktop/go1.8/src/sync/cond.go:57 +0x89[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.(*pipe).Read(0xc420cc9928, 0xc420b22000, 0x8000, 0x8000, 0x0, 0x0, 0x0)[#]   /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/pipe.go:60 +0xdb[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.transportResponseBody.Read(0xc420cc9900, 0xc420b22000, 0x8000, 0x8000, 0x0, 0x0, 0x0)[#] /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/transport.go:1589 +0xae[#]io.copyBuffer(0x6e28120, 0xc42000e018, 0x7f26f7d3bb70, 0xc420cc9900, 0xc420b22000, 0x8000, 0x8000, 0x40e7ca0, 0x45eed00, 0x7f26f7d3bb70)[#] /home/jvallejo/Desktop/go1.8/src/io/io.go:390 +0x100[#]io.Copy(0x6e28120, 0xc42000e018, 0x7f26f7d3bb70, 0xc420cc9900, 0xc420cc9900, 0x0, 0x0)[#]        /home/jvallejo/Desktop/go1.8/src/io/io.go:360 +0x68[#]github.com/openshift/origin/pkg/oc/cli/cmd.(*StartBuildOptions).Run(0xc420d94540, 0x0, 0x0)[#]    /home/jvallejo/Documents/go/src/github.com/openshift/origin/pkg/oc/cli/cmd/startbuild.go:437 +0x96b[#]github.com/openshift/origin/pkg/oc/cli/cmd.NewCmdStartBuild.func1(0xc42022a900, 0xc42083c0c0, 0x1, 0x3)[#]        /home/jvallejo/Documents/go/src/github.com/openshift/origin/pkg/oc/cli/cmd/startbuild.go:101 +0xf2[#]github.com/openshift/origin/vendor/github.com/spf13/cobra.(*Command).execute(0xc42022a900, 0xc42083c000, 0x3, 0x3, 0xc42022a900, 0xc42083c000)[#]  /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/github.com/spf13/cobra/command.go:603 +0x22b[#]github.com/openshift/origin/vendor/github.com/spf13/cobra.(*Command).ExecuteC(0xc4201a2000, 0xc42000e020, 0xc4201a2000, 0x2)[#]       /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/github.com/spf13/cobra/command.go:689 +0x339[#]github.com/openshift/origin/vendor/github.com/spf13/cobra.(*Command).Execute(0xc4201a2000, 0x2, 0xc4201a2000)[#]      /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/github.com/spf13/cobra/command.go:648 +0x2b[#]main.main()[#] /home/jvallejo/Documents/go/src/github.com/openshift/origin/cmd/oc/oc.go:36 +0x1ae[#][#]goroutine 17 [syscall, 1635 minutes, locked to thread]:[#]runtime.goexit()[#]   /home/jvallejo/Desktop/go1.8/src/runtime/asm_amd64.s:2197 +0x1[#][#]goroutine 5 [chan receive]:[#]github.com/openshift/origin/vendor/github.com/golang/glog.(*loggingT).flushDaemon(0x71267a0)[#]       /home/jvallejo/Documents/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/github.com/golang/glog/glog.go:879 +0x7a[#]created by github.com/openshift/origin/vendor/github.com/golang/glog.init.1[#]   /home/jvallejo/Documents/go/src/github.com/openshift/origin/_output/local/go/src/github.com/openshift/origin/vendor/github.com/golang/glog/glog.go:410 +0x21d[#][#]goroutine 20 [syscall, 1635 minutes]:[#]os/signal.signal_recv(0x434568)[#]   /home/jvallejo/Desktop/go1.8/src/runtime/sigqueue.go:116 +0x104[#]os/signal.loop()[#]   /home/jvallejo/Desktop/go1.8/src/os/signal/signal_unix.go:22 +0x22[#]created by os/signal.init.1[#]     /home/jvallejo/Desktop/go1.8/src/os/signal/signal_unix.go:28 +0x41[#][#]goroutine 43 [select]:[#]github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait.JitterUntil(0x4847978, 0x12a05f200, 0x0, 0x1, 0xc420060120)[#]    /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:109 +0x18d[#]github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait.Until(0x4847978, 0x12a05f200, 0xc420060120)[#]   /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/k8s.io/apimachinery/pkg/util/wait/wait.go:52 +0x4d[#]created by github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/util/logs.InitLogs[#]       /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/k8s.io/kubernetes/pkg/util/logs/logs.go:50 +0x9f[#][#]goroutine 82 [IO wait, 1635 minutes]:[#]net.runtime_pollWait(0x7f26f7cf5380, 0x72, 0x3)[#]     /home/jvallejo/Desktop/go1.8/src/runtime/netpoll.go:164 +0x59[#]net.(*pollDesc).wait(0xc4200560d8, 0x72, 0x6e2f260, 0x6e0a470)[#]       /home/jvallejo/Desktop/go1.8/src/net/fd_poll_runtime.go:75 +0x38[#]net.(*pollDesc).waitRead(0xc4200560d8, 0xc4202a3000, 0x800)[#]       /home/jvallejo/Desktop/go1.8/src/net/fd_poll_runtime.go:80 +0x34[#]net.(*netFD).Read(0xc420056070, 0xc4202a3000, 0x800, 0x800, 0x0, 0x6e2f260, 0x6e0a470)[#]    /home/jvallejo/Desktop/go1.8/src/net/fd_unix.go:250 +0x1b7[#]net.(*conn).Read(0xc42000e9a0, 0xc4202a3000, 0x800, 0x800, 0x0, 0x0, 0x0)[#]       /home/jvallejo/Desktop/go1.8/src/net/net.go:181 +0x70[#]crypto/tls.(*block).readFromUntil(0xc420710a20, 0x7f26f7d3b9d8, 0xc42000e9a0, 0x5, 0xc42000e9a0, 0x0)[#]        /home/jvallejo/Desktop/go1.8/src/crypto/tls/conn.go:488 +0x98[#]crypto/tls.(*Conn).readRecord(0xc4203e2e00, 0x4853917, 0xc4203e2f20, 0x42bf86)[#]       /home/jvallejo/Desktop/go1.8/src/crypto/tls/conn.go:590 +0xc4[#]crypto/tls.(*Conn).Read(0xc4203e2e00, 0xc420be5000, 0x1000, 0x1000, 0x0, 0x0, 0x0)[#]   /home/jvallejo/Desktop/go1.8/src/crypto/tls/conn.go:1134 +0x11d[#]bufio.(*Reader).Read(0xc420826720, 0xc42070cac8, 0x9, 0x9, 0xc4203ea040, 0x0, 0xc42003bc80)[#]        /home/jvallejo/Desktop/go1.8/src/bufio/bufio.go:213 +0x312[#]io.ReadAtLeast(0x6e0c560, 0xc420826720, 0xc42070cac8, 0x9, 0x9, 0x9, 0x0, 0x0, 0x0)[#]     /home/jvallejo/Desktop/go1.8/src/io/io.go:307 +0xa9[#]io.ReadFull(0x6e0c560, 0xc420826720, 0xc42070cac8, 0x9, 0x9, 0xc42015c580, 0x2003bd10, 0xc42003bd48)[#]   /home/jvallejo/Desktop/go1.8/src/io/io.go:325 +0x58[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.readFrameHeader(0xc42070cac8, 0x9, 0x9, 0x6e0c560, 0xc420826720, 0x0, 0xc400000000, 0xc420659100, 0x26)[#]      /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/frame.go:237 +0x7b[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.(*Framer).ReadFrame(0xc42070ca90, 0xc420e740f0, 0x0, 0x0, 0x0)[#]      /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/frame.go:469 +0xa4[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.(*clientConnReadLoop).run(0xc42003bfb0, 0x4849e30, 0xc42060a7b0)[#]    /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/transport.go:1343 +0x88[#]github.com/openshift/origin/vendor/golang.org/x/net/http2.(*ClientConn).readLoop(0xc4206c69c0)[#]   /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/transport.go:1269 +0xa6[#]created by github.com/openshift/origin/vendor/golang.org/x/net/http2.(*Transport).newClientConn[#]  /home/jvallejo/Documents/go/src/github.com/openshift/origin/vendor/golang.org/x/net/http2/transport.go:534 +0x728[#][#]rax    0xfffffffffffffffc[#]rbx    0x3b9aad6b[#]rcx    0xffffffffffffffff[#]rdx    0x0[#]rdi    0x7124198[#]rsi    0x0[#]rbp    0xc4200246e8[#]rsp    0xc4200246a0[#]r8     0x0[#]r9     0x0[#]r10    0xc4200246d8[#]r11    0x202[#]r12    0x3719a8ca335bb[#]r13    0x3719a8ca335bb[#]r14    0xc420060120[#]r15    0x0[#]rip    0x45d433[#]rflags 0x202[#]cs     0x33[#]fs     0x0[#]gs     0x0[#]

Comment 4 Vikas Laad 2017-10-20 13:58:45 UTC
I am not able to re-produce this issue with following release, lowing the priority for now tests are still running.

openshift v3.7.0-0.143.2
kubernetes v1.7.0+80709908fd
etcd 3.2.1

Comment 5 Vikas Laad 2017-10-25 20:00:55 UTC
I completed couple of runs on v3.7.0-0.143.2 and later and did not see the hang again, making this bz verified.

Comment 9 errata-xmlrpc 2017-11-28 22:09:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.